# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global base_name oro

Name:           jakarta-oro
Version:        2.0.8
Release:        %mkrel 37
Group:          Development/Java
Summary:        Full regular expressions API
License:        ASL 1.1
Source0:        http://archive.apache.org/dist/jakarta/oro/%{name}-%{version}.tar.gz
Source1:        MANIFEST.MF
Source2:        http://repo1.maven.org/maven2/%{base_name}/%{base_name}/%{version}/%{base_name}-%{version}.pom
Patch1:         %{name}-build-xml.patch
URL:            http://jakarta.apache.org/oro

BuildRequires:  javapackages-local
BuildRequires:  ant

BuildArch:      noarch

Provides:       deprecated()

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (www.oroinc.com). 

%package javadoc
Summary:        Javadoc for %{name}
Provides:       deprecated()

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# remove all CVS files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%patch1
cp %{SOURCE1} .

%build
ant -Dfinal.name=%{base_name} jar javadocs -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8

%install
%mvn_file : %{name} %{base_name}
%mvn_artifact %{SOURCE2} %{base_name}.jar

%mvn_install -J docs/api

%files -f .mfiles
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS STYLE
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE


%changelog
* Mon Jul 25 2022 neoclust <neoclust> 2.0.8-37.mga9
+ Revision: 1871535
- Rebuild against java 17
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1:2.0.8-22.mga8
+ Revision: 1490915
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:2.0.8-21.mga7
+ Revision: 1262680
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1:2.0.8-20.mga6
+ Revision: 981921
- Second rebuild of the java stack

* Sun Feb 28 2016 neoclust <neoclust> 1:2.0.8-19.mga6
+ Revision: 980541
- First rebuild of the java stack
- sync package jakarta-oro with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Jan 21 2015 daviddavid <daviddavid> 1:2.0.8-10.mga5
+ Revision: 811812
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.8-9.mga5
+ Revision: 740789
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.8-8.mga5
+ Revision: 680619
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:2.0.8-7.mga4
+ Revision: 506143
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:2.0.8-6.mga3
+ Revision: 354708
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 1:2.0.8-5.mga3
+ Revision: 324716
- Add missing provide/obsoletes

* Sun Dec 02 2012 dmorgan <dmorgan> 1:2.0.8-4.mga3
+ Revision: 324615
- Downgrade to version 2.0.8  / add maven pom

* Sat Jan 15 2011 ahmad <ahmad> 0:2.0.8-3.0.6.mga1
+ Revision: 18255
- imported package jakarta-oro


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.0.8-3.0.6mdv2011.0
+ Revision: 606065
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.0.8-3.0.5mdv2010.1
+ Revision: 523009
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:2.0.8-3.0.4mdv2010.0
+ Revision: 425447
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0:2.0.8-3.0.3mdv2009.1
+ Revision: 351293
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0:2.0.8-3.0.2mdv2009.0
+ Revision: 167953
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:2.0.8-3.0.2mdv2008.1
+ Revision: 120920
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

  + Alexander Kurtakov <akurtakov@mandriva.org>
    - bump release

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:2.0.8-2.6mdv2008.0
+ Revision: 87419
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sat Sep 08 2007 Pascal Terjan <pterjan@mandriva.org> 0:2.0.8-2.5mdv2008.0
+ Revision: 82592
- update to new version


* Thu Mar 15 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.0.8-2.4mdv2007.1
+ Revision: 143935
- rebuild for 2007.1
- Import jakarta-oro

* Fri Jun 02 2006 David Walluck <walluck@mandriva.org> 0:2.0.8-2.3mdv2007.0
- rename to jakarta-oro

* Fri Jun 02 2006 David Walluck <walluck@mandriva.org> 0:2.0.8-2.2mdv2006.0
- rebuild for libgcj.so.7
- aot compile

* Sun May 08 2005 David Walluck <david@anti-microsoft.org> 0:2.0.8-2.1mdk
- release

* Wed Aug 25 2004 Fernando Nasser <fnasser.redhat.com> 2.0.8-2jpp
- Rebuild with Ant 1.6.2

